##### Views

- Page
- Discussion
- View source
- History

# SpriteBatch:set

Available since LÖVE 0.8.0
This method is not supported in earlier versions.

Changes a sprite in the batch. This requires the identifier returned by add and addq.

## Function

### Synopsis

SpriteBatch:set( id, x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`number id`
  The identifier of the sprite that will be changed.
`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).
`number kx (0)`
  Shear factor (x-axis).
`number ky (0)`
  Shear factor (y-axis).

### Returns

Nothing.

## Function

Available since LÖVE 0.9.0
This variant has replaced SpriteBatch:setq.

Changes a sprite with a Quad in the batch. This requires the identifier returned by SpriteBatch:add.

### Synopsis

SpriteBatch:set( id, quad, x, y, r, sx, sy, ox, oy, kx, ky )

### Arguments

`number id`
  The identifier of the sprite that will be changed.
`Quad quad`
  The Quad used on the image of the batch.
`number x`
  The position to draw the object (x-axis).
`number y`
  The position to draw the object (y-axis).
`number r (0)`
  Orientation (radians).
`number sx (1)`
  Scale factor (x-axis).
`number sy (sx)`
  Scale factor (y-axis).
`number ox (0)`
  Origin offset (x-axis).
`number oy (0)`
  Origin offset (y-axis).
`number kx (0)`
  Shear factor (x-axis).
`number ky (0)`
  Shear factor (y-axis).

### Returns

Nothing.

## Notes

SpriteBatches do not support removing individual sprites. One can do a pseudo removal (instead of clearing and re-adding everything) by:

SpriteBatch:set(id, 0, 0, 0, 0, 0)

This makes all the sprite's vertices equal (because the x and y scales are 0), which prevents the GPU from fully processing the sprite when drawing the SpriteBatch.

## See Also

- SpriteBatch
- SpriteBatch:add
- SpriteBatch:addq
- SpriteBatch:setq

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/SpriteBatch:set"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties